<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__uart__enums" kind="group">
    <compoundname>group_scb_uart_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__scb__uart__enums_1gac72413306ca26b7b8174526e3fc539df" kind="enum" prot="public" static="no">
        <name>cy_en_scb_uart_status_t</name>
        <enumvalue id="group__group__scb__uart__enums_1ggac72413306ca26b7b8174526e3fc539dfa09315d924a513c3913841725ec5299f1" prot="public">
          <name>CY_SCB_UART_SUCCESS</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Operation completed successfully. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1ggac72413306ca26b7b8174526e3fc539dfa1176c30161403a3f635b8885980220fc" prot="public">
          <name>CY_SCB_UART_BAD_PARAM</name>
          <initializer>= (CY_SCB_ID | CY_PDL_STATUS_ERROR | CY_SCB_UART_ID | 1U)</initializer>
          <briefdescription>
<para>One or more of input parameters are invalid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1ggac72413306ca26b7b8174526e3fc539dfa8439a067c2f1c5677958d014262095a1" prot="public">
          <name>CY_SCB_UART_RECEIVE_BUSY</name>
          <initializer>= (CY_SCB_ID | CY_PDL_STATUS_ERROR | CY_SCB_UART_ID | 2U)</initializer>
          <briefdescription>
<para>The UART is busy processing a receive operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1ggac72413306ca26b7b8174526e3fc539dfa5ea1f40f9e1a48d4d058d6b67f9e76d1" prot="public">
          <name>CY_SCB_UART_TRANSMIT_BUSY</name>
          <initializer>= (CY_SCB_ID | CY_PDL_STATUS_ERROR | CY_SCB_UART_ID | 3U)</initializer>
          <briefdescription>
<para>The UART is busy processing a transmit operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_uart_status_t: </bold><linebreak />UART status codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="327" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="310" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="311" />
      </memberdef>
      <memberdef id="group__group__scb__uart__enums_1gaff3a50e4dbd1e0efe1550b05816e1a65" kind="enum" prot="public" static="no">
        <name>cy_en_scb_uart_mode_t</name>
        <enumvalue id="group__group__scb__uart__enums_1ggaff3a50e4dbd1e0efe1550b05816e1a65a039e9ca2ab60fb9e0d2226bd21e4787c" prot="public">
          <name>CY_SCB_UART_STANDARD</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Configures the SCB for Standard UART operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1ggaff3a50e4dbd1e0efe1550b05816e1a65a01e69d950d3827c058d6aaf2e3328e5a" prot="public">
          <name>CY_SCB_UART_SMARTCARD</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Configures the SCB for SmartCard operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1ggaff3a50e4dbd1e0efe1550b05816e1a65a848f6989ec7e1a440cb7666e698b6343" prot="public">
          <name>CY_SCB_UART_IRDA</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Configures the SCB for IrDA operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_uart_mode_t: </bold><linebreak />UART Mode.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="335" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="330" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="331" />
      </memberdef>
      <memberdef id="group__group__scb__uart__enums_1ga980f6c273a50db8f6b6fa7f703b1a7f9" kind="enum" prot="public" static="no">
        <name>cy_en_scb_uart_stop_bits_t</name>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9ac35384addc6b2590f3ec209ae4541394" prot="public">
          <name>CY_SCB_UART_STOP_BITS_1</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>UART looks for 1 Stop Bit. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9afc05c3dabb1830dc8abdd63d1937e935" prot="public">
          <name>CY_SCB_UART_STOP_BITS_1_5</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>UART looks for 1.5 Stop Bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9ada74a68d5ee99d9cbf5474e30a6b8a14" prot="public">
          <name>CY_SCB_UART_STOP_BITS_2</name>
          <initializer>= 4U</initializer>
          <briefdescription>
<para>UART looks for 2 Stop Bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9a507526d31978a62430165190da698649" prot="public">
          <name>CY_SCB_UART_STOP_BITS_2_5</name>
          <initializer>= 5U</initializer>
          <briefdescription>
<para>UART looks for 2.5 Stop Bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9a0556d9f8224745fa3abd76667840950b" prot="public">
          <name>CY_SCB_UART_STOP_BITS_3</name>
          <initializer>= 6U</initializer>
          <briefdescription>
<para>UART looks for 3 Stop Bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9a3ce46e36b481f0ecbddee36b82540aa1" prot="public">
          <name>CY_SCB_UART_STOP_BITS_3_5</name>
          <initializer>= 7U</initializer>
          <briefdescription>
<para>UART looks for 3.5 Stop Bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga980f6c273a50db8f6b6fa7f703b1a7f9ac1c9b3ffd1ceb51bf1ab622141ebe0b0" prot="public">
          <name>CY_SCB_UART_STOP_BITS_4</name>
          <initializer>= 8U</initializer>
          <briefdescription>
<para>UART looks for 4 Stop Bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_uart_stop_bits_t: </bold><linebreak />UART Stop Bits.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="347" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="338" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="339" />
      </memberdef>
      <memberdef id="group__group__scb__uart__enums_1ga5ee6d587ef3399954d609f17775a3f42" kind="enum" prot="public" static="no">
        <name>cy_en_scb_uart_parity_t</name>
        <enumvalue id="group__group__scb__uart__enums_1gga5ee6d587ef3399954d609f17775a3f42a4684fcd6cd3d48bf9372f5947af95f0d" prot="public">
          <name>CY_SCB_UART_PARITY_NONE</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>UART has no parity check. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga5ee6d587ef3399954d609f17775a3f42ad5504b310cb761b26b98b169bfee5338" prot="public">
          <name>CY_SCB_UART_PARITY_EVEN</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>UART has even parity check. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1gga5ee6d587ef3399954d609f17775a3f42a11542902faa4834b09d170e9e92ab918" prot="public">
          <name>CY_SCB_UART_PARITY_ODD</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>UART has odd parity check. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_uart_parity_t: </bold><linebreak />UART Parity.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="355" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="350" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="351" />
      </memberdef>
      <memberdef id="group__group__scb__uart__enums_1gadd7a3cc34b487e9898095db7b1638098" kind="enum" prot="public" static="no">
        <name>cy_en_scb_uart_polarity_t</name>
        <enumvalue id="group__group__scb__uart__enums_1ggadd7a3cc34b487e9898095db7b1638098a61a976af6edbc286fc87ee17b3809f36" prot="public">
          <name>CY_SCB_UART_ACTIVE_LOW</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Signal is active low. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__uart__enums_1ggadd7a3cc34b487e9898095db7b1638098a8c7e88090ac28e6d0fb0ca2b74daabc2" prot="public">
          <name>CY_SCB_UART_ACTIVE_HIGH</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Signal is active high. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_uart_polarity_t: </bold><linebreak />UART Polarity.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="362" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_uart.h" line="359" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>